MSWStruct::Table Struct Reference

the table in a Microsoft Word file More...

`#include <MSWStruct.hxx>`

## Classes

struct | Cell
| the cells definitions in a Microsoft Word Table More...

## Public Member Functions

| Table ()
| constructor More...
void | insert (Table const &table)
| insert the new values More...
bool | read (MWAWInputStreamPtr &input, long endPos)
| try to read a data More...
Variable< Cell > & | getCell (int id)
| returns the ith Cell More...

## Public Attributes

Variable< float > | m_height
| the row height in inches More...
Variable < MWAWParagraph::Justification > | m_justify
| the justification More...
Variable< float > | m_indent
| the indent More...
Variable< float > | m_backColor
| the table background gray color More...
Variable< std::vector< float > > | m_columns
| the table columns More...
std::vector< Variable< Cell > > | m_cells
| the table cells More...
std::string | m_extra
| the errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Table const &table)
| operator<< More...

## Detailed Description

the table in a Microsoft Word file

## Constructor & Destructor Documentation

MSWStruct::Table::Table | ( |  | ) |

inline

constructor

## Member Function Documentation

Variable< Table::Cell > & MSWStruct::Table::getCell | ( | int | id | ) |

returns the ith Cell

Referenced by read().

void MSWStruct::Table::insert | ( | Table const & | table | ) |

inline

insert the new values

bool MSWStruct::Table::read | ( | MWAWInputStreamPtr & | input,
|  | long | endPos
| ) |  |

try to read a data

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Table const & | table
| ) |  |

friend

operator<<

## Member Data Documentation

Variable<float> MSWStruct::Table::m_backColor

the table background gray color

Referenced by insert(), MSWStruct::operator<<(), MSWText::prepareTables(), and read().

std::vector<Variable<Cell> > MSWStruct::Table::m_cells

the table cells

Referenced by getCell(), insert(), MSWStruct::operator<<(), MSWText::prepareTables(), and read().

Variable<std::vector<float> > MSWStruct::Table::m_columns

the table columns

Referenced by insert(), MSWStruct::operator<<(), MSWText::prepareTables(), and read().

std::string MSWStruct::Table::m_extra

the errors

Referenced by insert(), MSWStruct::operator<<(), and read().

Variable<float> MSWStruct::Table::m_height

the row height in inches

Referenced by insert(), MSWStruct::operator<<(), MSWText::prepareTables(), and read().

Variable<float> MSWStruct::Table::m_indent

the indent

Referenced by insert(), MSWStruct::operator<<(), and read().

Variable<MWAWParagraph::Justification> MSWStruct::Table::m_justify

the justification

Referenced by insert(), MSWStruct::operator<<(), and read().

The documentation for this struct was generated from the following files:

- MSWStruct.hxx
- MSWStruct.cxx